<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:sch="http://www.ascc.net/xml/schematron"
                xmlns:A2A="http://Mindbus.nl/A2A"
                version="1.0"
                A2A:dummy-for-xmlns="">
   <xsl:output method="text"/>
   <xsl:template match="*|@*" mode="schematron-get-full-path">
      <xsl:apply-templates select="parent::*" mode="schematron-get-full-path"/>
      <xsl:text>/</xsl:text>
      <xsl:if test="count(. | ../@*) = count(../@*)">@</xsl:if>
      <xsl:value-of select="name()"/>
      <xsl:text>[</xsl:text>
      <xsl:value-of select="1+count(preceding-sibling::*[name()=name(current())])"/>
      <xsl:text>]</xsl:text>
   </xsl:template>
   <xsl:template match="/">
      <xsl:apply-templates select="/" mode="M1"/>
      <xsl:apply-templates select="/" mode="M2"/>
      <xsl:apply-templates select="/" mode="M3"/>
      <xsl:apply-templates select="/" mode="M4"/>
      <xsl:apply-templates select="/" mode="M5"/>
   </xsl:template>
   <xsl:template match="A2A:PersonName" priority="4000" mode="M1">
      <xsl:if test="A2A:PersonNameFamilyName">
         <xsl:message>Gebruik van Familyname is niet toegestaan (A2A:PersonNameFamilyName)</xsl:message>
      </xsl:if>
      <xsl:apply-templates mode="M1"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M1"/>
   <xsl:template match="A2A:EventType" priority="4000" mode="M2">
      <xsl:choose>
         <xsl:when test="starts-with(.,'other:')"/>
         <xsl:otherwise>
            <xsl:message>Er mag geen ander EventType voorkomen dan 'other:*' (starts-with(.,'other:'))</xsl:message>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates mode="M2"/>
   </xsl:template>
   <xsl:template match="A2A:A2A" priority="3999" mode="M2">
      <xsl:choose>
         <xsl:when test="count(A2A:Event[A2A:EventType='other:VertrekKamer']) &lt;= 1"/>
         <xsl:otherwise>
            <xsl:message>Er is meer dan 1 EventType='other:VertrekKamer' (count(A2A:Event[A2A:EventType='other:VertrekKamer']) &lt;= 1)</xsl:message>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:choose>
         <xsl:when test="count(A2A:Event[A2A:EventType='other:AankomstKaap']) &lt;= 1"/>
         <xsl:otherwise>
            <xsl:message>Er is meer dan 1 EventType='other:AankomstKaap' (count(A2A:Event[A2A:EventType='other:AankomstKaap']) &lt;= 1)</xsl:message>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:choose>
         <xsl:when test="count(A2A:Event[A2A:EventType='other:VertrekKaap']) &lt;= 1"/>
         <xsl:otherwise>
            <xsl:message>Er is meer dan 1 EventType='other:VertrekKaap' (count(A2A:Event[A2A:EventType='other:VertrekKaap']) &lt;= 1)</xsl:message>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:choose>
         <xsl:when test="count(A2A:Event[A2A:EventType='other:AankomstIndie']) &lt;= 1"/>
         <xsl:otherwise>
            <xsl:message>Er is meer dan 1 EventType='other:AankomstIndie' (count(A2A:Event[A2A:EventType='other:AankomstIndie']) &lt;= 1)</xsl:message>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:choose>
         <xsl:when test="count(A2A:Event[A2A:EventType='other:EindeVerbintenis']) &lt;= 1"/>
         <xsl:otherwise>
            <xsl:message>Er is meer dan 1 EventType='other:EindeVerbintenis' (count(A2A:Event[A2A:EventType='other:EindeVerbintenis']) &lt;= 1)</xsl:message>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:choose>
         <xsl:when test="count(A2A:Event[A2A:EventType='other:OpstapperKaap']) &lt;= 1"/>
         <xsl:otherwise>
            <xsl:message>Er is meer dan 1 EventType='other:OpstapperKaap' (count(A2A:Event[A2A:EventType='other:OpstapperKaap']) &lt;= 1)</xsl:message>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates mode="M2"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M2"/>
   <xsl:template match="A2A:A2A" priority="4000" mode="M3">
      <xsl:choose>
         <xsl:when test="count(A2A:RelationPO[A2A:RelationType='other:Opvarende']) &lt;= 1"/>
         <xsl:otherwise>
            <xsl:message>Er is meer dan 1 Opvarende opgegeven (count(A2A:RelationPO[A2A:RelationType='other:Opvarende']) &lt;= 1)</xsl:message>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates mode="M3"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M3"/>
   <xsl:template match="A2A:A2A" priority="4000" mode="M4">
      <xsl:choose>
         <xsl:when test="count(A2A:Object) =1"/>
         <xsl:otherwise>
            <xsl:message>Er is geen of meer dan 1 schip opgegeven (count(A2A:Object) =1)</xsl:message>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates mode="M4"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M4"/>
   <xsl:template match="A2A:PersonRemark" priority="4000" mode="M5">
      <xsl:if test="@Key!='Opmerking' and @Key!='Maandbrief' and @Key!='Schuldbrief'">
         <xsl:message>Alleen Opmerking, Maandbrief en Schuldbrief zijn geldig als Key van Remark bij Person (@Key!='Opmerking' and @Key!='Maandbrief' and @Key!='Schuldbrief')</xsl:message>
      </xsl:if>
      <xsl:apply-templates mode="M5"/>
   </xsl:template>
   <xsl:template match="A2A:EventRemark" priority="3999" mode="M5">
      <xsl:if test="@Key!='SchipKaap_DASNR' and @Key!='SchipKaap_INVENTARISNR' and @Key!='SchipKaap_NAAM' and @Key!='SchipKaap_KAMER' and @Key!='Opmerking plaats'">
         <xsl:message>Alleen 'SchipKaap_DASNR', 'SchipKaap_INVENTARISNR', 'SchipKaap_NAAM' en 'SchipKaap_KAMER', 'Opmerking plaats' zijn geldig als Key van EventRemark (@Key!='SchipKaap_DASNR' and @Key!='SchipKaap_INVENTARISNR' and @Key!='SchipKaap_NAAM' and @Key!='SchipKaap_KAMER' and @Key!='Opmerking plaats')</xsl:message>
      </xsl:if>
      <xsl:apply-templates mode="M5"/>
   </xsl:template>
   <xsl:template match="A2A:PersonNameRemark" priority="3998" mode="M5">
      <xsl:if test="@Key">
         <xsl:message>PersonNameRemarks zijn niet toegestaan (@Key)</xsl:message>
      </xsl:if>
      <xsl:apply-templates mode="M5"/>
   </xsl:template>
   <xsl:template match="A2A:DetailPlaceRemark" priority="3997" mode="M5">
      <xsl:if test="@Key">
         <xsl:message>DetailPlaceRemarks zijn niet toegestaan (@Key)</xsl:message>
      </xsl:if>
      <xsl:apply-templates mode="M5"/>
   </xsl:template>
   <xsl:template match="A2A:SourceRemark" priority="3996" mode="M5">
      <xsl:if test="@Key!='Bestemming' and @Key!='Opmerking'">
         <xsl:message>Alleen 'Bestemming' en 'Opmerking' zijn geldig als Key van SourceRemark (@Key!='Bestemming' and @Key!='Opmerking')</xsl:message>
      </xsl:if>
      <xsl:apply-templates mode="M5"/>
   </xsl:template>
   <xsl:template match="A2A:ObjectRemark" priority="3995" mode="M5">
      <xsl:if test="@Key!='Opmerking'">
         <xsl:message>Alleen Opmerking zijn geldig als key van Remark bij Object (@Key!='Opmerking')</xsl:message>
      </xsl:if>
      <xsl:apply-templates mode="M5"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M5"/>
   <xsl:template match="text()" priority="-1"/>
</xsl:stylesheet>